[Kea-users] Kea 1.5 Issues in Fedora Server 30

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Kea-users] Kea 1.5 Issues in Fedora Server 30

Brant Ian Stevens
I filed a bug report a few weeks ago, and forgot to cross-post to the list.

I ran into a couple of problems that I hope someone from the development
team can take care of:

https://bugzilla.redhat.com/show_bug.cgi?id=1699408

--

Regards,
--
Brant I. Stevens, founder.
https://www.sinewave.network
_______________________________________________
Kea-users mailing list
[hidden email]
https://lists.isc.org/mailman/listinfo/kea-users
Reply | Threaded
Open this post in threaded view
|

Re: [Kea-users] Kea 1.5 Package Issues in Fedora Server 30

Tomek Mrugalski
On 26/04/2019 14:28, Brant Ian Stevens wrote:
> I filed a bug report a few weeks ago, and forgot to cross-post to the list.
>
> I ran into a couple of problems that I hope someone from the development
> team can take care of:
>
> https://bugzilla.redhat.com/show_bug.cgi?id=1699408
Hi,

This covers several things:

1. It requires the manual creation of directories for interprocess sync
lockfile
That's a valid concern. This looks like the same issue as reported here:
https://gitlab.isc.org/isc-projects/kea/issues/359

There is also similar issue reported here:
https://gitlab.isc.org/isc-projects/kea/issues/538

We hope to fix both of them in upcoming 1.6-beta.

If they cover your problem, can you comment on one or both of them? If
not, can you open a new issue in out Kea gitlab:
https://gitlab.isc.org/isc-projects/kea/issues/new

2. It does not include all the previously-supported database backends,
breaking the service upon upgrade from Fedora Core 29 Server.

This is a packaging problem. Kea still does support MySQL, PostgreSQL
and Cassandra backends. It seems the Fedora 29 packages were built with
PostgreSQL and Fedora 30 were built without it.

Note that the command switch passed to configure to enable specific
backend was --with-dhcp-pgsql, --with-dhcp-mysql and it is now simpler
--with-pgsql and --with-mysql. The older switches are obsolete now (they
work, but there's a warning produced).

Hope that helps,
Tomek
_______________________________________________
Kea-users mailing list
[hidden email]
https://lists.isc.org/mailman/listinfo/kea-users
Reply | Threaded
Open this post in threaded view
|

Re: [Kea-users] Kea 1.5 Package Issues in Fedora Server 30

Brant Ian Stevens
> Hi,
Thanks for the quick response!!!  I was barely through the first half of
a cup of coffee before your reply popped in! :)

> This covers several things:
>
> 1. It requires the manual creation of directories for interprocess sync
> lockfile
> That's a valid concern. This looks like the same issue as reported here:
> https://gitlab.isc.org/isc-projects/kea/issues/359
>
> There is also similar issue reported here:
> https://gitlab.isc.org/isc-projects/kea/issues/538
>
> We hope to fix both of them in upcoming 1.6-beta.
538 looks to be the same issue. Glad to see it's on the roadmap.
> If they cover your problem, can you comment on one or both of them?
Will do.

> If
> not, can you open a new issue in out Kea gitlab:
> https://gitlab.isc.org/isc-projects/kea/issues/new
>
> 2. It does not include all the previously-supported database backends,
> breaking the service upon upgrade from Fedora Core 29 Server.
>
> This is a packaging problem. Kea still does support MySQL, PostgreSQL
> and Cassandra backends. It seems the Fedora 29 packages were built with
> PostgreSQL and Fedora 30 were built without it.
I agree that it is packaging, and why I reported to Redhat.  I wanted to
include you on it, in case you had any interaction with the Fedora
team.  Without building all of the databases in with the next upgrade,
they will definitely break things.
> Note that the command switch passed to configure to enable specific
> backend was --with-dhcp-pgsql, --with-dhcp-mysql and it is now simpler
> --with-pgsql and --with-mysql. The older switches are obsolete now (they
> work, but there's a warning produced).
I'll admit to not wanting to build my own from source so I'll wait until
the new versions fix the build.  Looking forward to 1.6!!!
> Hope that helps,
> Tomek
> _______________________________________________
> Kea-users mailing list
> [hidden email]
> https://lists.isc.org/mailman/listinfo/kea-users

_______________________________________________
Kea-users mailing list
[hidden email]
https://lists.isc.org/mailman/listinfo/kea-users